Data Structures | Functions

# querystring_gui.h File Reference

Base for the GUIs that have an edit box in them. More...

`#include "textbuf_type.h"`
`#include "textbuf_gui.h"`
`#include "window_gui.h"`

Go to the source code of this file.

## Data Structures
struct | QueryString
| Data stored about a string that can be modified in the GUI. More...
## Functions
void | ShowOnScreenKeyboard (Window *parent, int button)
| Show the on-screen keyboard (osk) associated with a given textbox.
void | UpdateOSKOriginalText (const Window *parent, int button)
| Updates the original text of the OSK so when the 'parent' changes the original and you press on cancel you won't get the 'old' original text but the updated one.
bool | IsOSKOpenedFor (const Window *w, int button)
| Check whether the OSK is opened for a specific editbox.

## Detailed Description

Base for the GUIs that have an edit box in them.

Definition in file querystring_gui.h.

## Function Documentation

bool IsOSKOpenedFor | ( | const Window * | w,
|  | int | button |
| ) |  |  |

Check whether the OSK is opened for a specific editbox.

w Window to check for

Parameters:

  | button | Editbox of w to check for

Returns:
  true if the OSK is oppened for button.

Definition at line 440 of file osk_gui.cpp.

References FindWindowById(), Window::parent, OskWindow::text_btn, and WC_OSK.

void ShowOnScreenKeyboard | ( | Window * | parent,
|  | int | button |
| ) |  |  |

Show the on-screen keyboard (osk) associated with a given textbox.

Parameters:

  | parent | pointer to the Window where this keyboard originated from
  | button | widget number of parent's textbox

Definition at line 408 of file osk_gui.cpp.

References DeleteWindowById(), GetKeyboardLayout(), and WC_OSK.

void UpdateOSKOriginalText | ( | const Window * | parent,
|  | int | button |
| ) |  |  |

Updates the original text of the OSK so when the 'parent' changes the original and you press on cancel you won't get the 'old' original text but the updated one.

Parameters:

  | parent | window that just updated its orignal text
  | button | widget number of parent's textbox to update

Definition at line 423 of file osk_gui.cpp.

References Textbuf::buf, FindWindowById(), free(), OskWindow::orig_str_buf, Window::parent, OskWindow::qs, Window::SetDirty(), OskWindow::text_btn, and WC_OSK.